function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_bathroom2"
end

function p.main()
    set_default_block("r_bathroom2")
    
    std.create_tube(3, "y", "e")
    std.create_center(5,"e")
    
    local msg_str = "In the texture_names.txt file, you should see "
        .. "the line \"testing123 _ cat.jpg\".\n\n"
        .. "Try replacing \"cat.jpg\" with \"eye.jpg\" "
        .. "(eye.jpg is a texture file in the Textures directory).\n\n"
        .. "Restart the program and now look at the block below.\n\n"
        .. "Note: the \"_\" means the texture has no alpha. "
    add_bent_s(7,7,8,"bent_base_txt",msg_str)

    set_pos(7,7,6,"test_image_block")
end
